package org.jeecg.modules.api.service;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.studytourOrder.entity.StudytourOrder;
import org.jeecg.modules.studytourPerson.entity.StudytourPerson;
import org.springframework.web.bind.annotation.*;

public interface OrderService {

    //我的订单-查询订单列表
    public Result<?> queryOrderList(String token, StudytourOrder studytourOrder, PageBean pageBean);

    //我的订单-查询订单详情
    public Result<?> queryOrderById(String token, String orderId);

    //我的订单-创建订单
    public Result<?> createOrder(String token, StudytourOrder studytourOrder);

    //我的订单-支付订单
    public Result<?> payOrder(String token, String orderId);

    //我的订单-查询出行人列表
    public Result<?> queryTouristList(String token, StudytourPerson studytourPerson, PageBean pageBean);

    //我的订单-查询出行人详情
    public Result<?> queryTouristById(String token, String personId);

    //我的订单-添加出行人
    public Result<?> addTourist(String token, StudytourPerson studytourPerson);

    //我的订单-修改出行人信息
    public Result<?> updateTourist(String token, StudytourPerson studytourPerson);

    //支付回调
    Object payOrderNotify(String requestBody);

}
